Bug 1004920 - SecurityContextAssociationValve is doing String concatenation in its trace logging
SecurityContextAssociationValve is doing String concatenation in its trace lo...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: EAP 6.2.0
Assigned To: Stuart Douglas
Radim Hatlapatka
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 14:20 EDT by Stuart Douglas
Modified: 2013-12-15 11:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Douglas 2013-09-05 14:20:05 EDT
Description of problem:

SecurityContextAssociationValve is doing String concatenation in its trace logging, which results in unessesary StringBuilder's being created for every request.
Comment 1 Stuart Douglas 2013-09-05 14:20:50 EDT
Proposing for EAP 6.2, as this is trivial and will improve performance
Comment 3 Radim Hatlapatka 2013-09-30 07:42:21 EDT
Verified with ER3 using java decompilation.

Note You need to log in before you can comment on or make changes to this bug.